using System.Collections.Generic;

namespace Valg.EVA.Skanning.JobManagement.Startup.Data
{
    public class UpdatableComparer<TItem, TId> : IEqualityComparer<IUpdatable<TItem, TId>>
    {
        public bool Equals(IUpdatable<TItem, TId> x, IUpdatable<TItem, TId> y)
        {
            return x.Id.Equals(y.Id);
        }

        public int GetHashCode(IUpdatable<TItem, TId> obj)
        {
            return obj.Id.GetHashCode();
        }
    }
}
